public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/pecl-memcached/
Date: Mon,  7 Dec 2015 14:08:08 +0000 (UTC)	[thread overview]
Message-ID: <1449497254.27f68d74269798db11371fa643014c6b7f4740d2.mjo@gentoo> (raw)

commit:     27f68d74269798db11371fa643014c6b7f4740d2
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 26 19:53:11 2015 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Dec  7 14:07:34 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27f68d74

dev-php/pecl-memcached: revbump to fix incorrect DOCS.

The main reason for a revision bump is to update the DOCS string
(which pointed to a missing file). This is a prerequisite for fixing
the buggy eclass that allows junk in DOCS.

In the process, some other cleanup was done:

  * Change from EAPI=4 to EAPI=5.
  * Add ChangeLog and README.markdown as DOCS.
  * Reorder the USE_PHP flags.
  * Drop the base.eclass inherit (this was used to apply patches).
  * Drop the custom src_prepare (used to call base.eclass to apply patches).
  * Add an "any slot" dependency on dev-lang/php.
  * Shorten the description a little to fit in 80 chars.

Package-Manager: portage-2.2.20.1

 .../pecl-memcached/pecl-memcached-2.2.0-r1.ebuild  | 36 ++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/dev-php/pecl-memcached/pecl-memcached-2.2.0-r1.ebuild b/dev-php/pecl-memcached/pecl-memcached-2.2.0-r1.ebuild
new file mode 100644
index 0000000..cb650d7
--- /dev/null
+++ b/dev-php/pecl-memcached/pecl-memcached-2.2.0-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PHP_EXT_NAME="memcached"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+DOCS="ChangeLog README.markdown"
+
+USE_PHP="php5-4 php5-5 php5-6"
+
+inherit php-ext-pecl-r2
+
+KEYWORDS="~amd64 ~x86"
+
+DESCRIPTION="Interface PHP with memcached via libmemcached library"
+LICENSE="PHP-3"
+SLOT="0"
+IUSE="+session igbinary json sasl"
+
+DEPEND="|| ( >=dev-libs/libmemcached-1.0.14 >=dev-libs/libmemcached-1.0[sasl?] )
+		sys-libs/zlib
+		dev-lang/php:*[session?,json?]
+		igbinary? ( dev-php/igbinary[php_targets_php5-4?,php_targets_php5-5?,php_targets_php5-6?] )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	my_conf="--enable-memcached
+		$(use_enable session memcached-session)
+		$(use_enable sasl memcached-sasl)
+		$(use_enable json memcached-json)
+		$(use_enable igbinary memcached-igbinary)"
+
+	php-ext-source-r2_src_configure
+}


             reply	other threads:[~2015-12-07 14:08 UTC|newest]

Thread overview: 58+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-12-07 14:08 Michael Orlitzky [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-13 12:47 [gentoo-commits] repo/gentoo:master commit in: dev-php/pecl-memcached/ Michael Orlitzky
2024-11-13 11:10 Arthur Zamarin
2024-11-11 13:00 Sam James
2024-11-11 13:00 Sam James
2024-11-11 13:00 Sam James
2024-11-10  2:26 Michael Orlitzky
2024-11-10  2:26 Michael Orlitzky
2023-10-23 21:41 Michael Orlitzky
2023-07-06  6:08 Sam James
2022-10-26 19:56 Conrad Kostecki
2022-08-01 12:11 Joonas Niilola
2022-08-01 12:11 Joonas Niilola
2022-08-01  8:02 Agostino Sarubbo
2022-08-01  8:02 Agostino Sarubbo
2022-05-16 23:31 Sam James
2022-05-03 17:30 Brian Evans
2022-03-18 18:06 Brian Evans
2021-11-23 15:18 Brian Evans
2021-08-27 15:31 Brian Evans
2021-01-11 15:05 Brian Evans
2020-11-03 12:58 Sam James
2020-10-28 16:18 Sam James
2020-10-28 16:18 Sam James
2020-10-26 16:12 Thomas Deutschmann
2020-02-11 18:15 Brian Evans
2020-01-28 17:31 Brian Evans
2020-01-28 17:31 Brian Evans
2019-12-12 15:21 Brian Evans
2019-12-09 23:33 Thomas Deutschmann
2019-11-28 21:02 Thomas Deutschmann
2019-11-26  1:04 Aaron Bauman
2019-11-17 21:54 Thomas Deutschmann
2019-11-17 21:01 Thomas Deutschmann
2019-11-03 13:59 Mikle Kolyada
2019-06-06  6:51 Agostino Sarubbo
2019-06-04 19:37 Brian Evans
2019-06-04 19:37 Brian Evans
2019-06-04 16:22 Brian Evans
2019-02-22 15:05 Brian Evans
2019-02-22 15:05 Brian Evans
2019-01-14 15:28 Thomas Deutschmann
2018-04-18 21:30 Aaron Bauman
2017-12-04 17:55 Brian Evans
2017-12-04 17:55 Brian Evans
2017-03-26  0:08 Michael Orlitzky
2017-03-04 15:06 Brian Evans
2017-03-04 13:46 Agostino Sarubbo
2017-03-04 13:38 Agostino Sarubbo
2017-02-04 15:57 Michael Orlitzky
2017-01-12 21:37 Brian Evans
2016-12-12 21:07 Michael Orlitzky
2016-12-12 16:23 Brian Evans
2016-07-14 21:03 Brian Evans
2016-02-14 10:11 Agostino Sarubbo
2016-01-23 17:34 Agostino Sarubbo
2015-12-25 16:20 Agostino Sarubbo
2015-12-07 10:02 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1449497254.27f68d74269798db11371fa643014c6b7f4740d2.mjo@gentoo \
    --to=mjo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox